Summary: cIRCus is a graphical irc client for Linux/X11
Name: circus
Version: 043
Release: 1
Copyright: distributable
Group: X11/Applications/Networking
Source: ftp.nijenrode.nl:pub/people/ivo/circus043.tar.gz
%description
cIRCus is a graphical irc client for Linux/X11. Some of the features are: 
       DCC Chat, Send, Get 
       mIRC color support 
       Efnet, Undernet, Ircnet support 
       OPER-support 
       Very intuitive interface, operations on users can be performed using
       simple selections and buttons 
       Basic set of commands built in. For those ircII die-hards, 
       /WHOIS, /JOIN, /KICK etc. still work :) 
       Colorful interface 
       Easy to use but very powerful banlist-manager 
       Simple scripting support. Will be further extended 
%prep

%setup -n circus-043

%build

%install

install -d -m 755 -o 0 -g 0 /usr/lib/circus/

cat > /usr/bin/circus << _EOF
#!/bin/sh
CIRCUS_LIBDIR=/usr/lib/circus
TCL_LIBRARY=/usr/lib/circus/tcl
TK_LIBRARY=/usr/lib/circus/tk
HUSH_LIBRARY=/usr/lib/circus/hush
export TCL_LIBRARY TK_LIBRARY HUSH_LIBRARY

echo "cIRCus 0.43 by Ivo van der Wijk and Mark de Boer"
echo "For more information check:"
echo
echo "     http://www.nijenrode.nl/~ivo/circus/"
echo

if ! [ -f ~/.circusrc ]; then 
	echo Copying .circusrc to your home directory
	echo
	echo "You can change default settings such as nick, ircserver, etc. by"
	echo "editing $HOME/.circusrc and changing the bottom few lines."
	sleep 7
	cp /usr/lib/circus/system.circusrc ~/.circusrc
fi

/usr/lib/circus/circus-bin -root /usr/lib/circus  $* < /dev/null
_EOF

chmod 755 /usr/bin/circus

cp -r * /usr/lib/circus/
chmod 644 /usr/lib/circus/system.circusrc
chmod 755 /usr/lib/circus/{tk,tcl,hush,scripts,pics}
chmod 755 /usr/lib/circus/circus-bin
rm /usr/lib/circus/{CHANGES,COPYING,README}

%pre

echo
echo "    ::::::  ::: ::::::    ::::::  :::  :::  :::::"
echo "   :+:  :+: :+: :+: :+:  :+:  :+: :+:  :+: :+: :+:"
echo "  +:+       +:+ +:+ +:+ +:+       +:+  +:+  +:+"
echo "  +#+       +#+ +#++#+  +#+       +#+  +#+    +#+"
echo "   #+#  #+# #+# #+# #+#  #+#  #+#  #+##+#  #+# #+#"
echo "    ######  ### ###  ###  ######    ####    #####"
echo
echo "cIRCus 0.43 installation"
echo
echo
echo
echo "This RPM will install cIRCus on your system."
sleep 7

%post

echo
echo "Everything should be installed by now. You should be able to start"
echo "cIRCus by typing /usr/bin/circus from your command prompt."
echo
echo "We hope you enjoy using cIRCus! Don't forget to check the cIRCus"
echo "homepage at http://www.nijenrode.nl/~ivo/circus/"
echo
sleep 7

%files

%doc CHANGES COPYING README 

/usr/lib/circus/
/usr/bin/circus

